default: install
help:
	@echo "make options: install libkapa clean dist"

include ../../Makefile.System
HOME 	=	$(ROOT)/src/libkapa
LIB	= 	$(HOME)/lib
SRC	=	$(HOME)/src
MAN	=	$(HOME)/doc
INC	=	$(HOME)/include
include ../../Makefile.Common

# programs may add their own internal requirements here
FULL_CFLAGS   = $(BASE_CFLAGS) -fPIC
FULL_CPPFLAGS = $(BASE_CPPFLAGS)
FULL_LDFLAGS  = $(BASE_LDFLAGS)

install: $(DESTINC)/kapa.h $(DESTLIB)/libkapa.a $(DESTLIB)/libkapa.$(DLLTYPE)
libkapa: $(LIB)/libkapa.$(ARCH).a $(LIB)/libkapa.$(ARCH).$(DLLTYPE)

INCS = $(DESTINC)/kapa.h

OBJS = \
$(SRC)/IOfuncs.$(ARCH).o  \
$(SRC)/KiiPicture.$(ARCH).o \
$(SRC)/KiiOpen.$(ARCH).o \
$(SRC)/KiiOverlay.$(ARCH).o \
$(SRC)/KiiCursor.$(ARCH).o \
$(SRC)/KiiConvert.$(ARCH).o \
$(SRC)/KapaWindow.$(ARCH).o \
$(SRC)/KapaColors.$(ARCH).o \
$(SRC)/KapaOpen.$(ARCH).o

DRAW = \
$(SRC)/bDrawFuncs.$(ARCH).o     \
$(SRC)/bDrawRotFont.$(ARCH).o   \
$(SRC)/RotFont.$(ARCH).o        \
$(SRC)/DrawRotString.$(ARCH).o  \
$(SRC)/PSRotFont.$(ARCH).o

$(OBJS): $(INCS)
$(DRAW): $(INCS)

$(LIB)/libkapa.$(ARCH).a: $(OBJS) $(DRAW)
$(LIB)/libkapa.$(ARCH).$(DLLTYPE): $(OBJS) $(DRAW)

$(DESTLIB)/libkapa.a:  $(LIB)/libkapa.$(ARCH).a  
$(DESTLIB)/libkapa.$(DLLTYPE): $(LIB)/libkapa.$(ARCH).$(DLLTYPE)
